# -*- coding: utf-8 -*-
"""
SFC - The SyFi Form Compiler

This is a draft of the new version based on UFL.
"""

# Import whole language for defining a form
from ufl import *

# Submodules
#import common
#import representation
#import codegeneration

# Options handling
from sfc.common import version
from sfc.common import default_options
from sfc.common import set_logging_level

# Function for compiling a UFL element into UFC code
#from compiler import compile_element # Merge with jit if we want it.

# Function for compiling a UFL form into UFC code
#from compiler import compile_form

# Function for compiling a form and importing it on the fly
from sfc.jit import generate_code, cache_signature, jit

TODO = """
NEXT STEPS:

- Implement tabulate_tensor with symbolic integration.

- Implement tabulate_tensor with quadrature

- Implement swiginac handlers for nonscalar expressions

- Implement AD for SpatialDiff

- Implement mixed elements.

- Add flexible options to commandline script 'sfc' 

- Try using sfc.sfc.jit with PyDOLFIN in Function etc., needs to try importing of ufl.

- Implement tabulate_tensor with optimization, Jacobi...

"""
