#ifndef CROUZEIXRAVIART_IS_INCLUDED
#define CROUZEIXRAVIART_IS_INCLUDED

#include "FE.h"

namespace SyFi
{

	class CrouzeixRaviart : public StandardFE
	{
		public:
			CrouzeixRaviart();
			CrouzeixRaviart(Polygon& p, unsigned int order = 1);
			virtual ~CrouzeixRaviart() {}

			void compute_basis_functions();
	};

	class VectorCrouzeixRaviart : public StandardFE
	{
		protected:
			unsigned int size;
		public:
			VectorCrouzeixRaviart();
			VectorCrouzeixRaviart(Polygon& p, unsigned int order = 1, unsigned int size = -1);
			virtual ~VectorCrouzeixRaviart() {}

			virtual void set_size(unsigned int size_);
			virtual void compute_basis_functions();
	};

}
#endif
